Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.dependencies.shutdown
Class ComparatorServiceDependencySorter

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.dependencies.shutdown.ComparatorServiceDependencySorter

All Implemented Interfaces:
  ServiceDependencySorter

    public class ComparatorServiceDependencySorter

extends Object
implements ServiceDependencySorter

Comparator based dependency sorter.

Author:
  Costin Leau, Andy Piper

Nested Class Summary
`static class` | `ComparatorServiceDependencySorter.TarganStronglyConnectedSorter` Strongly Connected Component graph algorithm due to R.

Constructor Summary
`ComparatorServiceDependencySorter()`

Method Summary
`org.osgi.framework.Bundle[]` | `computeServiceDependencyGraph(org.osgi.framework.Bundle[] bundles)` Given a number of bundles, determine the dependency between each other and compute the dependency tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComparatorServiceDependencySorter

    public ComparatorServiceDependencySorter()

Method Detail

### computeServiceDependencyGraph

    public org.osgi.framework.Bundle[] computeServiceDependencyGraph(org.osgi.framework.Bundle[] bundles)

  Description copied from interface: `ServiceDependencySorter`
  Given a number of bundles, determine the dependency between each other and compute the dependency tree.

  Specified by:
    `computeServiceDependencyGraph` in interface `ServiceDependencySorter`
  Parameters:
    `bundles` - array of bundles
  Returns:
    an array of bundles, sorted out by their dependency.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.